/*  2012 Matthias Linder (http://matthiaslinder.com) */
/* - Use as you feel fit, but leave this copyright. - */

namespace Hardware.GPS.Extensions
{
    /// <summary>
    /// Integer extensions
    /// </summary>
    static class IntExtensions
    {
        /// <summary>
        /// Returns the lower nibble of the specified number as a hex letter
        /// </summary>
        /// <param name="num"></param>
        /// <returns></returns>
        public static char ToHexLetter(this int num)
        {
            num &= 0x0F;
            return (char)(num >= 10 ? num - 10 + 'A' : num + '0');
        }
    }
}

